from collections import defaultdict

try:
    from flanker.addresslib import validate

    def connect_to_mail_exchanger(mx_hosts):
        """
            Monkey Patch to avoid useless connection on remote port 25 of mx server
        """
        for host in mx_hosts:
            return host
        return None

    validate._mx_cache = defaultdict(lambda: None) # no redis cache
    validate.connect_to_mail_exchanger = connect_to_mail_exchanger

except ImportError:
    pass
